Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Tejun Heo <[email-masked]>
Date: Tue, 17 Aug 2021 06:40:07 -1000

On Tue, Aug 17, 2021 at 03:25:47PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   block/mq-deadline-cgroup.c
> 
> between commit:
> 
>   0f7839955114 ("Revert "block/mq-deadline: Add cgroup support"")
> 
> from Linus' tree and commit:
> 
>   252c651a4c85 ("blk-cgroup: stop using seq_get_buf")
> 
> from the block tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Ah, that probably isn't the right resolution. The seq_get_buf change needs
to be applied to the original mq-deadline.c file. Jens, how do you wanna
proceed?

Thanks.

-- 
tejun